## octave-communications 1.0.6

=== DESCRIPTION ===
Name: Communications
Version: 1.0.6
Date: 2008-04-29
Author: David Bateman
Maintainer: David Bateman
Title: Communications.
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (> 2.9.14), signal (>= 1.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
