## octave-communications 1.0.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: Communications
-Version: 1.0.6
-Date: 2008-04-29
+Version: 1.0.9
+Date: 2009-05-03
 Author: David Bateman
 Maintainer: David Bateman
 Title: Communications.
