## octave-communications 1.0.10

=== DESCRIPTION ===
Name: Communications
Version: 1.0.10
Date: 2009-05-14
Author: David Bateman
Maintainer: David Bateman
Title: Communications.
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (> 3.1.54), signal (>= 1.0.0)
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
