=== debian/changelog ===
octave-communications (1.0.10-3) unstable; urgency=low

  * debian/control: 
    - Remove Rafael Laboissiere from Uploaders (Closes: #571842)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders 
  * Fix homepage URL (closes: #600480)
  * Switch to dpkg-source 3.0 (quilt) format
  * Don't include the -1 revision in the dependency on octave-signal
    introduced in 1.0.10-1; this makes Lintian happy.
  * Bump Standards-Version to 3.9.1, no changes needed.

 -- Thomas Weber <tweber@debian.org>  Mon, 21 Feb 2011 22:22:11 +0100

octave-communications (1.0.10-2) unstable; urgency=low

  * Build against hdf5 (1.8.4) (closes: #570020)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Thu, 18 Feb 2010 23:40:36 +0100

octave-communications (1.0.10-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2

  [ Thomas Weber ]
  * New upstream release
  * Bump dependency on octave-signal to (>= 1.0.10-1), to get the version for
    Octave 3.2
  * Remove patch: call-mlock-with-arg.diff, it was only necessary for
    octave3.0
  * debian/rules: Drop code for changing permissions of files (applied
    upstream)
  * debian/control: Fix typo
  * Install PDF documentation via octave-communications-common.docs and remove
    the code for deleting unnecessary files from debian/rules.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 15 Nov 2009 17:02:27 +0100

octave-communications (1.0.9-2) unstable; urgency=low

  * debian/rules (install/octave-communications): Do the transfer of files
    for the -common package in this rule, otherwise the arch-independent
    files end up in the wrong place for binary-only builds
  * debian/control: Make octave-communications-common conflict with
    versions of octave-communications strictly inferior to 1.0.9-1

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 06 Jun 2009 18:10:56 +0200

octave-communications (1.0.9-1) unstable; urgency=low

  * New upstream release
  * Put the architecture independent files *.m into the separate
    octave-communications-common package.  This is required by Policy.
  * debian/patches/call-mlock-with-arg.diff: Add patch for making the
    package compile against Octave 3.0.5
  * debian/rules:
    + Include patchsys-quilt.mk
    + Fix permission of some installed *.m scripts
    + Remove unneeded documentation sources from /usr/share/doc
  * debian/control:
    + (Build-Depends): Add quilt
    + (Standards-Version): Bump to 3.8.1 (no changes needed)
    + (Depends): Add ${misc:Depends}
    + (Vcs-Git, Vcs-Browser): Adjust to new Git repository
  * debian/copyright:
    + Use DEP5 URL in Format-Specification
    + Use separate License stanzas for instructing about the location of
      the different licenses used in the package
  * debian/README.source: Add file explaining the quilt patch system, as
    required by the Policy

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 11:40:07 +0200

octave-communications (1.0.8-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/copyright: Add header
  * debian/control: Bump build-dependency on octave-pkg-dev to >= 0.6.4,
    such that the package is built with the versioned packages directory

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 29 Mar 2009 00:05:09 +0100

octave-communications (1.0.8-1) experimental; urgency=low

  [ Rafael Laboissiere ]
  * debian/rules: Use debian/clean instead of manually cleaning files
  * debian/compat, debian/control: Bump build-dependency on debhelper to
    >= 7.0.0, otherwise debian/clean is moot
  * debian/clean: New file
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Thomas Weber ]
  * New upstream release
  * debian/control:
    - Add octave-signal to build-depends, it's needed for some tests
    - Bump dependency on octave-pkg-dev to 0.6.1, to get the experimental
      version

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sun, 30 Nov 2008 21:14:49 +0100

octave-communications (1.0.6-1) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * New upstream version.

  [ Rafael Laboissiere ]
  * The source files comms.texi and comms.txi of the PDF documentation
    distributed with the package are now included in the upstream tarball.
    This makes the package DFSG-compliant (really, closes: #468497)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 May 2008 11:49:10 +0000

octave-communications (1.0.5-1) unstable; urgency=low

  * Initial release (closes: #468497)

 -- Ólafur Jens Sigurðsson <ojsbug@gmail.com>  Fri, 14 Nov 2007 23:54:34 +0100
