=== debian/control ===
Source: octave-communications
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-signal (>=1.0.10),
 octave-pkg-dev (>= 0.7.0)
Standards-Version: 3.9.1
Homepage: http://octave.sourceforge.net/communications
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-communications.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-communications.git

Package: octave-communications
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends},
 octave-signal (>=1.0.10-1), octave-communications-common (>=1.0.10-1)
Description: communications package for Octave
 This package provides functions for Octave, a numerical computation
 software, to perform error analysis on communication signals,
 convert between analog and digital signals, and many more functions
 pertaining to signal analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.

Package: octave-communications-common
Architecture: all
Depends: ${misc:Depends}
Conflicts: octave-communications (<< 1.0.9-1)
Description: communications package for Octave (arch-indep files)
 This package provides functions for Octave, a numerical computation
 software, to perform error analysis on communication signals,
 convert between analog and digital signals, and many more functions
 pertaining to signal analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package contains the architecture-independent files for the
 octave-communications package.
