=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = communications
archshr = $(CURDIR)/debian/octave-$(pkg)/usr/share
indepshr = $(CURDIR)/debian/octave-$(pkg)-common/usr/share

DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)

install/octave-$(pkg)-common:: install/octave-$(pkg)

install/octave-$(pkg)::
	# Move the architecture independent files into the appropriate
	# package
	mkdir -p $(indepshr)
	mv $(archshr)/octave $(indepshr)
