## octave-communications 1.1.0

=== DESCRIPTION ===
Name: Communications
Version: 1.1.0
Date: 2011-10-09
Author: David Bateman <adb014@gmail.com>
Maintainer: David Bateman <adb014@gmail.com>
Title: Communications.
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (>= 3.4), signal (>= 1.0.0), image
Autoload: yes
License: GPL version 2 or later
Url: http://octave.sf.net
