=== debian/changelog ===
octave-communications (1.1.0-2) unstable; urgency=low

  * Add missing build-dependency on ghostscript

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 20 Mar 2012 21:34:21 +0100

octave-communications (1.1.0-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.1.0
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.0, to build against Octave 3.6
  * Bump to Standards-Version 3.9.3, no changes needed
  * Add Sébastien Villemot to the list of Uploaders
  * Add patch for avoiding name clash with LU class (taken from upstream SVN)
  * Add patch for fixing the test of huffmandict (taken from upstream SVN)
  * Add patch for setting the direntry of the info documentation
  * Build and install the PDF and info forms of documentation
  * Drop the build-dependency on octave-signal
  * debian/copyright: update to machine-readable format 1.0

 -- Thomas Weber <tweber@debian.org>  Mon, 19 Mar 2012 18:01:05 +0100
