=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), cdbs, octave-signal (>=1.0.10),
- octave-pkg-dev (>= 0.7.0)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), texlive, 
+ texlive-generic-recommended, ghostscript
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/communications
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-communications.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-communications.git
 
 Package: octave-communications
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${octave:Depends},
- octave-signal (>=1.0.10-1), octave-communications-common (>=1.0.10-1)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+ octave-communications-common (= ${source:Version})
 Description: communications package for Octave
  This package provides functions for Octave, a numerical computation
  software, to perform error analysis on communication signals,
@@ -25,7 +26,7 @@
 
 Package: octave-communications-common
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${octave:Depends}
 Conflicts: octave-communications (<< 1.0.9-1)
 Description: communications package for Octave (arch-indep files)
  This package provides functions for Octave, a numerical computation
