=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 
 DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)
 
+build/octave-$(pkg)::
+	chmod +x doc/mkdoc doc/mktexi
+	make -C doc comms.pdf comms.info
+
 install/octave-$(pkg)-common:: install/octave-$(pkg)
 
 install/octave-$(pkg)::
@@ -16,3 +20,8 @@
 	# package
 	mkdir -p $(indepshr)
 	mv $(archshr)/octave $(indepshr)
+	# Fix wrong permission of a file in the upstream tarball
+	chmod -x $$(find $(indepshr) -name fft.m)
+
+clean::
+	make -C doc clean
