## octave-communications 1.1.1

=== DESCRIPTION ===
Name: Communications
Version: 1.1.1
Date: 2012-05-12
Author: various authors
Maintainer: Octave-Forge community <octave-dev@lists.sourceforge.net>
Title: Communications.
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (>= 3.4), signal (>= 1.1.3)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net
