=== debian/changelog ===
octave-communications (1.1.1-1) unstable; urgency=low

  [ Sébastien Villemot ]
  * Imported Upstream version 1.1.1
  * LU-class-name-clash.patch: remove patch, applied upstream
  * fix-huffmandict-test.patch: remove patch, applied upstream
  * autoload-yes.patch: new patch
  * oct2dec.patch: new patch
  * Build-Depends on octave-signal
  * debian/copyright: reflect upstream changes
  * debian/rules: remove obsolete hack for wrong permission in upstream tarball
  * Replace versioned Conflicts by Breaks+Replaces to make lintian happy
  * Add lintian overrides for false positives on hardening build flags

  [ Rafael Laboissiere ]
  * debian/watch: Use the SourceForge redirector

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Mon, 21 May 2012 09:01:30 +0200
