=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), texlive, 
- texlive-generic-recommended, ghostscript
+ texlive-generic-recommended, ghostscript, octave-signal (>= 1.1.3)
 Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/communications
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-communications.git
@@ -27,7 +27,8 @@
 Package: octave-communications-common
 Architecture: all
 Depends: ${misc:Depends}, ${octave:Depends}
-Conflicts: octave-communications (<< 1.0.9-1)
+Breaks: octave-communications (<< 1.0.9-1)
+Replaces: octave-communications (<< 1.0.9-1)
 Description: communications package for Octave (arch-indep files)
  This package provides functions for Octave, a numerical computation
  software, to perform error analysis on communication signals,
