=== debian/rules ===
--- 
+++ 
@@ -20,8 +20,6 @@
 	# package
 	mkdir -p $(indepshr)
 	mv $(archshr)/octave $(indepshr)
-	# Fix wrong permission of a file in the upstream tarball
-	chmod -x $$(find $(indepshr) -name fft.m)
 
 clean::
 	make -C doc clean
