## octave-communications 1.2.0

=== DESCRIPTION ===
Name: Communications
Version: 1.2.0
Date: 2013-11-25
Author: various authors
Maintainer: Mike Miller <mtmiller@ieee.org>
Title: Communications
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (>= 3.4), signal (>= 1.1.3)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net
