=== debian/changelog ===
octave-communications (1.2.0-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 23:50:58 +0000

octave-communications (1.2.0-1) unstable; urgency=low

  * Imported Upstream version 1.2.0
  * Bump to Standards-Version 3.9.5, no changes needed
  * Dropped patches (applied upstream):
    - oct2dec.patch
    - build-documentation.patch
    - avoid-makeinfo-section-raising-error.patch
  * Refreshed patches
  * Update copyright information

 -- Thomas Weber <tweber@debian.org>  Mon, 02 Dec 2013 00:03:59 +0100

octave-communications (1.1.1-2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * avoid-makeinfo-section-raising-error.patch: new patch, fixes FTBFS
  * Remove obsolete DM-Upload-Allowed flag
  * Bump to Standards-Version 3.9.4, no changes needed
  * debian/copyright: Use octave-maintainers mailing list as upstream contact

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Sébastien Villemot ]
  * Use my @debian.org email address

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 12 Jun 2013 10:41:31 +0200
