=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
 Uploaders: Thomas Weber <tweber@debian.org>,
-           Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
+           Sébastien Villemot <sebastien@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.0), texlive, 
- texlive-generic-recommended, ghostscript, octave-signal (>= 1.1.3)
-Standards-Version: 3.9.3
+ texlive-generic-recommended, ghostscript, octave-signal (>= 1.1.3), gnuplot
+Standards-Version: 3.9.5
 Homepage: http://octave.sourceforge.net/communications
-Vcs-Git: git://git.debian.org/git/pkg-octave/octave-communications.git
-Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-communications.git
+Vcs-Git: git://anonscm.debian.org/pkg-octave/octave-communications.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-octave/octave-communications.git
 
 Package: octave-communications
 Architecture: any
