=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)
 
 build/octave-$(pkg)::
-	chmod +x doc/mkdoc doc/mktexi
 	make -C doc comms.pdf comms.info
 
 install/octave-$(pkg)-common:: install/octave-$(pkg)
