=== debian/watch ===
version=3
http://sf.net/octave/communications-(.+)\.tar\.gz
