## octave-communications 1.2.1

=== debian/changelog ===
octave-communications (1.2.1-5) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:27:16 -0200

octave-communications (1.2.1-4) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control:
    + Add Testsuite field
    + Build-depend on gnuplot-nox, instead of gnuplot
    + Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:13:13 -0200

octave-communications (1.2.1-3) unstable; urgency=medium

  * Team upload.

  [ Sébastien Villemot ]
  * d/p/octave-4.2.patch: new patch, fixes FTBFS against Octave 4.2.
    (Closes: #867014)
  * d/copyright: use secure URL for format.
  * Bump to debhelper compat level 10.
  * d/watch: bump to format version 4.
  * d/rules: add support for "nodoc" flag of DEB_BUILD_OPTIONS.
  * d/control:
    + Drop unneeded versioned dependencies.
    + Bump to Standards-Version 4.0.0.

  [ Rafael Laboissiere ]
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 03 Jul 2017 15:41:37 +0200

octave-communications (1.2.1-2) unstable; urgency=medium

  * d/control: Use secure URIs in the Vcs-* fields
  * d/control: Bump Standards-Version to 3.9.8 (no changes needed)
  * Reproducible build
    + d/rules: Set SOURCE_DATE_EPOCH envvar, for
    + d/p/random-seed-for-pdf-doc.patch: New patch
    + d/rules: Avoid non-deterministic tempfile names in PDF files
  * Clean files explicitly
    + d/rules: Drop the clean target
    + d/clean: Add file

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 28 Jul 2016 18:25:02 -0300

octave-communications (1.2.1-1) unstable; urgency=medium

  * Team upload.

  [ Rafael Laboissiere ]
  * Imported Upstream version 1.2.1
  * d/p/autoload-yes.patch: Remove patch (deprecated upstream)
  * d/control: Bump Standards-Version to 3.9.6 (no changes needed)

  [ Sébastien Villemot ]
  * d/p/hdf5-ldflags.patch: drop patch, no longer needed.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 20 Jul 2015 10:22:27 +0200

octave-communications (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Uploaders: set as Rafael Laboissiere and Mike Miller.
  * hdf5-ldflags.patch: new patch, inject HDF5 LDFLAGS in the build.
    Needed for the new HDF5 1.8.13 layout. (Closes: #758733)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Aug 2014 22:10:44 +0200
