=== debian/control ===
Source: octave-communications
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>,
           Mike Miller <mtmiller@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-octave,
               texlive,
               texlive-generic-recommended,
               ghostscript,
               octave-signal,
               gnuplot-nox
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
Homepage: http://octave.sourceforge.net/communications
Testsuite: autopkgtest-pkg-octave

Package: octave-communications
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         octave-communications-common (= ${source:Version})
Description: communications package for Octave
 This package provides functions for Octave, a numerical computation
 software, to perform error analysis on communication signals,
 convert between analog and digital signals, and many more functions
 pertaining to signal analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.

Package: octave-communications-common
Architecture: all
Depends: ${misc:Depends},
         ${octave:Depends}
Breaks: octave-communications (<< 1.0.9-1)
Replaces: octave-communications (<< 1.0.9-1)
Description: communications package for Octave (arch-indep files)
 This package provides functions for Octave, a numerical computation
 software, to perform error analysis on communication signals,
 convert between analog and digital signals, and many more functions
 pertaining to signal analysis.
 .
 This Octave add-on package is part of the Octave-Forge project.
 .
 This package contains the architecture-independent files for the
 octave-communications package.
