=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
export SOURCE_DATE_EPOCH

%:
	dh $@ --buildsystem=octave --with=octave


pkg = communications
archshr = $(CURDIR)/debian/octave-$(pkg)/usr/share
indepshr = $(CURDIR)/debian/octave-$(pkg)-common/usr/share

DEB_DH_INSTALL_SOURCEDIR = debian/octave-$(pkg)

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	for i in awgn.pdf eyediagram.pdf scatterplot.pdf ; do		\
	    make -C doc $$i ;						\
	    sed -i -e 's|/tmp/oct-.......eps|/tmp/oct.eps|' doc/$$i ;	\
	done
	make -C doc comms.pdf comms.info
endif

override_dh_auto_install:
	dh_auto_install
	# Move the architecture independent files into the appropriate
	# package
	mkdir -p $(indepshr)
	mv $(archshr)/octave $(indepshr)
