## octave-communications 1.2.2

=== DESCRIPTION ===
Name: communications
Version: 1.2.2
Date: 2019-12-22
Author: various authors
Maintainer: Nir Krakauer <mail@nirkrakauer.net>
Title: Communications
Description: Digital Communications, Error Correcting Codes (Channel Code), Source Code functions, Modulation and Galois Fields
Depends: octave (>= 4.4), signal (>= 1.1.3)
Autoload: no
License: GPLv3+
Url: http://octave.sf.net
