=== debian/changelog ===
octave-communications (1.2.2-4) unstable; urgency=medium

  * Team upload
  * Add epstool to Build-Depends (Closes: #977013)
  * Bump S-V to 4.5.1

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 10 Dec 2020 10:42:14 +0100

octave-communications (1.2.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + octave-communications: Add Multi-Arch: same.

  [ Rafael Laboissière ]
  * d/p/info-dir-section.patch: Set Forwarded not-needed

 -- Rafael Laboissière <rafael@debian.org>  Tue, 10 Nov 2020 18:35:34 -0300

octave-communications (1.2.2-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13
  * d/u/metadata: Drop Name and Contact fields

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 1.0.5-1.

 -- Rafael Laboissière <rafael@debian.org>  Tue, 14 Jul 2020 06:52:43 -0300

octave-communications (1.2.2-1) unstable; urgency=medium

  * New upstream version 1.2.2
  * d/p/octave-4.4.patch: Drop patch (applied upstream)
  * d/p/depends-on-statistics.patch: Refresh for new upstream version
  * d/copyright: Reflect upstream changes
  * d/control: Add pkg-config to the list of build-dependencies
  * d/clean:
    + Avoid deletion of file src/config.h.in
    + Delete file src/oct-alt-includes.h

 -- Rafael Laboissière <rafael@debian.org>  Tue, 07 Jan 2020 03:23:51 -0300

octave-communications (1.2.1-9) unstable; urgency=medium

  * d/control: Bump dependency on dh-octave to >= 0.7.1

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 02 Nov 2019 12:29:41 -0300

octave-communications (1.2.1-8) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.0.
      This allows the injection of the virtual package octave-abi-N
      into the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 01 Nov 2019 05:56:49 -0300

octave-communications (1.2.1-7) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Build depend on texlive-plain-generic
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:54:13 -0200

octave-communications (1.2.1-6) unstable; urgency=medium

  * Team upload

  [ Mike Miller ]
  * d/control, d/copyright: Use secure URL for upstream source.

  [ Rafael Laboissiere ]
  * d/control: Bump Standards-Version to 4.1.4 (no changes needed)

  [ Sébastien Villemot ]
  * octave-4.2.patch renamed to octave-4.4.patch, with more fixes for 4.4
  * Add dependency on octave-statistics
    qfuncinv() uses norminv(). This function is no longer in Octave core
    since 4.4, and has moved to the statistics package.
    + depends-on-statistics.patch: new patch
    + d/control: add B-D on octave-statistics

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Jun 2018 11:22:43 +0200
