=== debian/control ===
--- 
+++ 
@@ -1,27 +1,32 @@
 Source: octave-communications
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>,
+Uploaders: Rafael Laboissière <rafael@debian.org>,
            Mike Miller <mtmiller@debian.org>
 Section: math
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-octave,
+Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 0.7.1),
+               ghostscript,
+               gnuplot-nox,
+               octave-signal,
+               octave-statistics,
+               pkg-config,
                texlive,
-               texlive-generic-recommended,
-               ghostscript,
-               octave-signal,
-               gnuplot-nox
-Standards-Version: 4.1.3
+               texlive-plain-generic,
+               epstool
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
-Homepage: http://octave.sourceforge.net/communications
+Homepage: https://octave.sourceforge.io/communications/
 Testsuite: autopkgtest-pkg-octave
+Rules-Requires-Root: no
 
 Package: octave-communications
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          octave-communications-common (= ${source:Version})
+Multi-Arch: same
 Description: communications package for Octave
  This package provides functions for Octave, a numerical computation
  software, to perform error analysis on communication signals,
