## octave-communications 1.2.4

=== debian/changelog ===
octave-communications (1.2.4-1) unstable; urgency=medium

  [ Rafael Laboissière ]
  * New upstream version 1.2.4
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

  [ Sébastien Villemot ]
  * Drop extra dependency on octave-statistics.
    The underlying bug has been fixed in upstream version 1.2.2.

 -- Rafael Laboissière <rafael@debian.org>  Mon, 24 Jan 2022 01:31:44 -0300

octave-communications (1.2.3-2) unstable; urgency=medium

  * Upload to unstable
  * d/rules: Use target execute_after_dh_auto_install instead of
    override_dh_auto_install

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 15:50:43 -0300

octave-communications (1.2.3-1) experimental; urgency=medium

  * New upstream version 1.2.3
  * d/clean: Remove files src/*.cc-tst
  * d/copyright: Reflect upstream changes
  * d/control: Set "Multi-Arch: foreign" for package
    octave-communications-common

 -- Rafael Laboissière <rafael@debian.org>  Sat, 17 Apr 2021 08:53:34 -0300
