=== debian/control ===
--- 
+++ 
@@ -9,12 +9,11 @@
                ghostscript,
                gnuplot-nox,
                octave-signal,
-               octave-statistics,
                pkg-config,
                texlive,
                texlive-plain-generic,
                epstool
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
 Homepage: https://octave.sourceforge.io/communications/
@@ -41,6 +40,7 @@
          ${octave:Depends}
 Breaks: octave-communications (<< 1.0.9-1)
 Replaces: octave-communications (<< 1.0.9-1)
+Multi-Arch: foreign
 Description: communications package for Octave (arch-indep files)
  This package provides functions for Octave, a numerical computation
  software, to perform error analysis on communication signals,
