=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,7 @@
 	make -C doc comms.pdf comms.info
 endif
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# Move the architecture independent files into the appropriate
 	# package
 	mkdir -p $(indepshr)
