## octave-communications 1.2.6

=== doc/Makefile ===
--- 
+++ 
@@ -79,5 +79,6 @@
 
 maintainer-clean: clean
 	rm -rf *.dvi *.eps *.html *.info *.pdf *.ps *.png *.texi
+	rm -f images.mk
 
 .PHONY: all clean dvi html info maintainer-clean pdf ps
