=== debian/changelog ===
octave-communications (1.2.6-2build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 19:56:33 +0000

octave-communications (1.2.6-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 06:26:43 -0300

octave-communications (1.2.6-1) experimental; urgency=medium

  * New upstream version 1.2.6
  * d/copyright: Reflect upstream changes
  * d/p/random-seed-for-pdf-doc.patch: Refresh for new upstream version
  * d/control:
    + Update Homepage
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * Update upstream information
    + d/control: Remove option upstream-related fields from header
    + d/u/metadata: Add Name, Contact, Changelog, and Repository fields

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 May 2023 07:13:50 -0300

octave-communications (1.2.4-4) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning debian-watch-lacks-sourceforge-redirector
  * d/control: Drop build-dependency on ghostscript

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 05:37:51 -0300

octave-communications (1.2.4-3) unstable; urgency=medium

  * No need for cleaning *-tst files
    + d/clean: Drop line with src/*.cc-tst
  * d/autoreconf: New file
  * Proper cleaning of upstream files after building
    + d/clean: Drop obsolete file
    + d/rules: Cleanup files in the doc/ directory
  * d/control: Build-depend on dh-octave >= 1.2.3
    This version removes the files automatically generated by the
    configure script, as well as the src/*-tst files.

 -- Rafael Laboissière <rafael@debian.org>  Sun, 10 Jul 2022 04:32:17 -0300

octave-communications (1.2.4-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper installation of files in arch and arch-indep packages
    + d/octave-communications.install: New file
    + d/octave-communications-common.install: New file
    + d/rules: Drop useless commands in target execute_after_dh_auto_install
    (Closes: #1013604)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 26 Jun 2022 19:14:12 -0300
