=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1),
-               ghostscript,
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave,
                gnuplot-nox,
                octave-signal,
                pkg-config,
                texlive,
                texlive-plain-generic,
                epstool
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
-Homepage: https://octave.sourceforge.io/communications/
+Homepage: https://gnu-octave.github.io/packages/communications/
 Testsuite: autopkgtest-pkg-octave
 Rules-Requires-Root: no
 
@@ -38,8 +38,6 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${octave:Depends}
-Breaks: octave-communications (<< 1.0.9-1)
-Replaces: octave-communications (<< 1.0.9-1)
 Multi-Arch: foreign
 Description: communications package for Octave (arch-indep files)
  This package provides functions for Octave, a numerical computation
