## octave-communications 1.2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: communications
-Version: 1.2.2
-Date: 2019-12-22
+Version: 1.2.7
+Date: 2025-01-30
 Author: various authors
 Maintainer: Nir Krakauer <mail@nirkrakauer.net>
 Title: Communications
