=== debian/changelog ===
octave-communications (1.2.7-2) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Drop the versioned dependency on dh-octave. Relationship >= 1.2.3 is
      satisfiable in oldoldstable, which has version 1.2.7.
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Drop superflous build-dependencies on epstool and texlive
    + Add ghostscript to Build-Depends
  * d/watch: Convert to format version 5
  * d/s/lintian-overrides: Update override for
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Thu, 16 Oct 2025 10:13:54 -0300

octave-communications (1.2.7-1) unstable; urgency=medium

  * New upstream version 1.2.7
  * d/copyright: Update list of Copyright years
  * d/p/pkg-config-hdf5.patch: Drop patch (applied upstream)
  * d/rules: Drop empty doc/ directory

 -- Rafael Laboissière <rafael@debian.org>  Sun, 02 Feb 2025 14:06:05 -0300

octave-communications (1.2.6-3) unstable; urgency=medium

  * d/u/metadata: Update Bug-Database URL
  * d/control:
    + Bump Standards-Version to 4.7.0 (no changes needed)
    + Build-depend on pkgconf instead of the deprecated pkg-config package
    + Resctrict build-dependencies need for building the documentation to
      the "nodoc" profile
  * d/p/pkg-config-hdf5.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 11 May 2024 18:29:58 -0300
