=== debian/control ===
--- 
+++ 
@@ -5,20 +5,17 @@
 Section: math
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
                dh-sequence-octave,
-               gnuplot-nox,
+               ghostscript <!nodoc>,
+               gnuplot-nox <!nodoc>,
                octave-signal,
-               pkg-config,
-               texlive,
-               texlive-plain-generic,
-               epstool
-Standards-Version: 4.6.2
+               pkgconf,
+               texlive-plain-generic <!nodoc>
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-communications
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-communications.git
 Homepage: https://gnu-octave.github.io/packages/communications/
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-communications
 Architecture: any
