=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/pkg-info.mk
export SOURCE_DATE_EPOCH

%:
	dh $@ --buildsystem=octave

DEB_DH_INSTALL_SOURCEDIR = debian/octave-communications

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	for i in awgn.pdf eyediagram.pdf scatterplot.pdf ; do		\
	    make -C doc $$i ;						\
	    sed -i -e 's|/tmp/oct-.......eps|/tmp/oct.eps|' doc/$$i ;	\
	done
	make -C doc comms.pdf comms.info
endif

execute_after_dh_installdeb-indep:
	rm -rf debian/octave-communications-common/usr/share/octave/packages/communications-*/doc

execute_after_dh_clean:
	make -C doc maintainer-clean
